Cannot load module ‘/usr/lib/gnome-vfs-2.0/modules/libfile.so’

Nada más instalar Vmware en Debian Etch, al darle a explorar para seleccionar una imagen que tenía guardada, se quedaba colgado el programa.

Intentando entrar por consola para ver si daba algún fallo, salía repetidas veces:

(vmware:5589): libgnomevfs-WARNING **: Cannot load module `/usr/lib/gnome-vfs-2.0/modules/libfile.so’ (/usr/lib/vmware/lib/libgcc_s.so.1/libgcc_s.so.1: version `GCC_4.2.0′ not found (required by /usr/lib/libstdc++.so.6))

La solución la he encontrado en este blog en inglés.

Consiste en añadir una variable de entorno ejecutando este comando:
export VMWARE_USE_SHIPPED_GTK=yes

y luego ejecutar vmware en consola como root. No he conseguido que funcione bien para mi usuario normal porque me da este error:

Xlib: connection to “:0.0” refused by server
Xlib: No protocol specified

Para otro día, que me vale ejecutarlo como root…

Publicado en Linux

Deja un comentario

Tu dirección de correo electrónico no será publicada. Los campos obligatorios están marcados con *

*